> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves all webhooks configured for your team.

# Get Many Webhooks

export const SnippetObjectReference = ({objectName, objectPath = null}) => {
  const lowerCaseObjectName = objectName.toLowerCase();
  if (lowerCaseObjectName === 'lead' || lowerCaseObjectName === 'leads') {
    return <Note>
        This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>. Make sure to also check the <a href={`/api-reference/objects-definitions/${lowerCaseObjectName === 'lead' ? 'contact' : 'lead'}`}>{lowerCaseObjectName === 'lead' ? 'Contact' : 'Lead'} object</a> to understand the distinction between the two.
      </Note>;
  }
  return <Note>
      This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>.
    </Note>;
};

<SnippetObjectReference objectName="Webhook" objectPath="webhook" />


## OpenAPI

````yaml get /hooks
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /hooks:
    get:
      tags:
        - Webhooks
      summary: Get Many Webhooks
      parameters: []
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Webhook'
              example:
                - _id: hoo_Ib5jfViX9hn3FzNqr
                  targetUrl: >-
                    https://hooks.zapier.com/hooks/standard/{accountId}/{webhookId}/
                  createdAt: '2018-06-05T09:07:07.761Z'
                  zapId: 37709957
                  type: emailsReplied
                  campaignId: cam_FlN1hrYhADZUfspMs
                  isFirst: true
                - _id: hoo_SDRr2w4JigZDL7OB2
                  targetUrl: >-
                    https://hooks.zapier.com/hooks/standard/{accountId}/{webhookId}/
                  createdAt: '2019-06-05T14:38:56.535Z'
                  zapId: 59825555
                  type: emailsReplied
                  campaignId: cam_h3jptAEeqFFpve5mr
                - _id: hoo_IYAPP4HnSyU7UTH3E
                  targetUrl: >-
                    https://hooks.zapier.com/hooks/standard/{accountId}/{webhookId}/
                  createdAt: '2019-06-05T15:49:36.624Z'
                  zapId: 59831776
                  type: emailsReplied
                  campaignId: cam_qBNYaIFXA77eXM1Ey
                  isFirst: true
                - _id: hoo_OQ1eCPucttlQV6uB4
                  targetUrl: >-
                    https://hooks.zapier.com/hooks/standard/{accountId}/{webhookId}/
                  createdAt: '2019-06-05T19:28:49.130Z'
                  zapId: 59852716
                  type: emailsReplied
                  campaignId: cam_vRotI1zB0rgqEe0Hg
                  isFirst: true
                - _id: hoo_bOucNGG13uJhhIQ8g
                  targetUrl: >-
                    https://hooks.zapier.com/hooks/standard/{accountId}/{webhookId}/
                  createdAt: '2019-10-15T09:53:50.839Z'
                  zapId: 47004696
                  type: emailsOpened
                  campaignId: cam_K6XNvvamP9QTotBC3
                - _id: hoo_hZSI1GetoYUKu76TX
                  targetUrl: >-
                    https://hooks.zapier.com/hooks/standard/{accountId}/{webhookId}/
                  createdAt: '2019-10-15T09:56:24.197Z'
                  zapId: 47004696
                  type: emailsOpened
                  campaignId: cam_K6XNvvamP9QTotBC3
                - _id: hoo_anErg4PUSFTd3r3dX
                  targetUrl: >-
                    https://hooks.zapier.com/hooks/standard/{accountId}/{webhookId}/
                  createdAt: '2020-04-27T14:04:33.424Z'
                  zapId: 85466371
                  type: emailsReplied
                  campaignId: cam_rpejDXyLkA2TSbXyC
                - _id: hoo_Y3nL7UuQn85hIFTRV
                  targetUrl: >-
                    https://hooks.zapier.com/hooks/standard/{accountId}/{webhookId}/
                  createdAt: '2020-04-27T14:06:38.375Z'
                  zapId: 85466371
                  type: emailsReplied
                  campaignId: cam_rpejDXyLkA2TSbXyC
                - _id: hoo_UAtwcPAd0tK9U6hKG
                  targetUrl: https://example.com/webhooks/{id}
                  createdAt: '2022-02-10T16:45:28.216Z'
                  campaignId: cam_7BE8IZRaqahU44Wp6
        '400':
          description: Bad team
          content:
            text/plain:
              example: Bad team
        '401':
          description: Unauthorized
        '404':
          description: Webhook not found
          content:
            text/plain:
              example: Webhook not found
components:
  schemas:
    Webhook:
      type: object
      description: >-
        Webhooks send real-time HTTP notifications upon campaign events (opens,
        clicks, replies, etc.).
      properties:
        _id:
          type: string
          description: Unique webhook identifier
        targetUrl:
          type: string
          format: uri
          description: Destination URL for event notifications
        type:
          type: string
          description: >-
            Event type to listen for. Events are grouped by category — see the
            endpoint docs for a full breakdown.
          enum:
            - contacted
            - hooked
            - attracted
            - warmed
            - interested
            - notInterested
            - emailsSent
            - emailsOpened
            - emailsClicked
            - emailsReplied
            - emailsBounced
            - emailsFailed
            - emailsInterested
            - emailsNotInterested
            - emailsUnsubscribed
            - linkedinSent
            - linkedinOpened
            - linkedinReplied
            - linkedinInterested
            - linkedinNotInterested
            - linkedinSendFailed
            - linkedinVisitDone
            - linkedinVisitFailed
            - linkedinFollowDone
            - linkedinFollowFailed
            - linkedinFollowSkipped
            - linkedinInviteDone
            - linkedinInviteFailed
            - linkedinInviteAccepted
            - linkedinEndorseDone
            - linkedinEndorseFailed
            - linkedinEndorseSkipped
            - linkedinVoiceNoteDone
            - linkedinVoiceNoteFailed
            - linkedinLikeLastPostDone
            - linkedinLikeLastPostNoPost
            - linkedinLikeLastPostFailed
            - linkedinWithdrawInvitationDone
            - linkedinWithdrawInvitationFailed
            - whatsappMessageSent
            - whatsappMessageDelivered
            - whatsappMessageOpened
            - whatsappReplied
            - whatsappMessageFailed
            - smsSent
            - smsDelivered
            - smsReplied
            - smsFailed
            - aircallCreated
            - aircallEnded
            - aircallDone
            - aircallInterested
            - aircallNotInterested
            - apiDone
            - apiInterested
            - apiNotInterested
            - apiFailed
            - manualInterested
            - manualNotInterested
            - paused
            - resumed
            - stopped
            - campaignComplete
            - customDomainErrors
            - connectionIssue
            - sendLimitReached
            - lemwarmPaused
            - annotated
            - enrichmentDone
            - enrichmentError
            - callRecordingDone
            - callTranscriptDone
            - inboxLabelUpdated
            - signalRegistered
            - deliverabilityAlertTriggered
        campaignId:
          type: string
          description: The ID of the campaign the webhook is associated with (if any)
        createdAt:
          type: string
          format: date-time
          description: Creation timestamp
        zapId:
          type: integer
          description: Zapier integration ID (if the destination is a Zapier webhook)
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````